Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java	(revision 6941fac7c063e28adfadb9ca5ab944223d81cbfc)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java	(revision d7eaf88a5a9df4db5a905e449657e05b0ce08ebd)
@@ -3,6 +3,10 @@
 import finki.paw5.model.entities.Pet;
 
+import java.util.List;
+
 public interface PetService {
 
     void save (Pet pet);
+
+    List<Pet> listpets();
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java	(revision 6941fac7c063e28adfadb9ca5ab944223d81cbfc)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PostService.java	(revision d7eaf88a5a9df4db5a905e449657e05b0ce08ebd)
@@ -2,8 +2,4 @@
 
 import finki.paw5.model.entities.Post;
-import finki.paw5.model.enumerations.AgeGroup;
-import finki.paw5.model.enumerations.Gender;
-import finki.paw5.model.enumerations.Size;
-import finki.paw5.model.enumerations.Species;
 
 public interface PostService {
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java	(revision 6941fac7c063e28adfadb9ca5ab944223d81cbfc)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java	(revision d7eaf88a5a9df4db5a905e449657e05b0ce08ebd)
@@ -5,4 +5,6 @@
 import finki.paw5.service.PetService;
 import org.springframework.stereotype.Service;
+
+import java.util.List;
 
 @Service
@@ -19,3 +21,6 @@
         this.petRepository.save(pet);
     }
+
+    @Override
+    public List<Pet> listpets() {return this.petRepository.findAll();}
 }
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java	(revision 6941fac7c063e28adfadb9ca5ab944223d81cbfc)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PostController.java	(revision d7eaf88a5a9df4db5a905e449657e05b0ce08ebd)
@@ -1,6 +1,8 @@
 package finki.paw5.web.controllers;
 
+import finki.paw5.model.entities.Employee;
 import finki.paw5.model.entities.Pet;
 import finki.paw5.model.entities.Post;
+import finki.paw5.model.entities.User;
 import finki.paw5.model.enumerations.AgeGroup;
 import finki.paw5.model.enumerations.Gender;
@@ -9,4 +11,5 @@
 import finki.paw5.service.PetService;
 import finki.paw5.service.PostService;
+import jakarta.servlet.http.HttpServletRequest;
 import org.springframework.stereotype.Controller;
 import org.springframework.ui.Model;
@@ -30,7 +33,5 @@
     @GetMapping("/create-post")
     public String get(Model model) {
-        //TODO: vakvo ama za lista so pets
-        //        List<Manufacturer> manufacturers = this.manufacturerService.findAll();
-        //        model.addAttribute("manufacturers", manufacturers);
+        model.addAttribute("pets", this.petService.listpets());
         return "create-post";
     }
@@ -44,10 +45,13 @@
                            @RequestParam(required = false) String breed,
                            @RequestParam(required = false) String imageUrl,
-                           @RequestParam(required = false) boolean canBeFostered) {
+                           @RequestParam(required = false) boolean canBeFostered,
+                           HttpServletRequest request) {
 
-        Pet pet = new Pet(imageUrl, AgeGroup.valueOf(ageGroup), Size.valueOf(size), breed, name, Species.valueOf(species), Gender.valueOf(gender), canBeFostered, null, 1);
+        Employee employee = (Employee) request.getSession().getAttribute("employee");
+
+        Pet pet = new Pet(imageUrl, AgeGroup.valueOf(ageGroup), Size.valueOf(size), breed, name, Species.valueOf(species), Gender.valueOf(gender), canBeFostered, null, employee.getShelterId());
         this.petService.save(pet);
 
-        Post post = new Post(LocalDate.now(), imageUrl, pet.getId(), null, 10);//TODO: employee id da se zeme preku session user getid
+        Post post = new Post(LocalDate.now(), imageUrl, pet.getId() , null, employee.getId() );
         this.postService.save(post);
 
